Varnish 503 Backend Fetch Failed when varnish 4.1 is started as service on Debian 8Varnish throwing 503 errors when there is a healthy backendvarnish 503s when accessing backendvarnish error 503 service unavailable guru meditationVarnish SMS allocation request generate HTTP 503How can I setup varnish for testing purposes?Can Varnish ignore hit-for-pass when backends are sickBackend fetch failed - varnish wont fetch drupal backendNginx, Varnish 4.1 Backend fetch failedVarnish stoped working and dies after start OKError 503 Backend fetch failed Guru Meditation: XID: 45654 Varnish cache server in magento2

Can I ask the recruiters in my resume to put the reason why I am rejected?

String Manipulation Interpreter

What typically incentivizes a professor to change jobs to a lower ranking university?

What are the differences between the usage of 'it' and 'they'?

How can I prevent hyper evolved versions of regular creatures from wiping out their cousins?

Modeling an IP Address

Why Is Death Allowed In the Matrix?

What are these boxed doors outside store fronts in New York?

Risk of getting Chronic Wasting Disease in the US?

How do I create uniquely male characters?

tikz: show 0 at the axis origin

Do I have a twin with permutated remainders?

LaTeX closing $ signs makes cursor jump

What would happen to a modern skyscraper if it rains micro blackholes?

How can I make my BBEG immortal short of making them a Lich or Vampire?

How can bays and straits be determined in a procedurally generated map?

Can a Warlock become Neutral Good?

What is the word for reserving something for yourself before others do?

Mage Armor with Defense fighting style (for Adventurers League bladeslinger)

Languages that we cannot (dis)prove to be Context-Free

Is it tax fraud for an individual to declare non-taxable revenue as taxable income? (US tax laws)

Is it possible to do 50 km distance without any previous training?

Why, historically, did Gödel think CH was false?

What do the dots in this tr command do: tr .............A-Z A-ZA-Z <<< "JVPQBOV" (with 13 dots)



Varnish 503 Backend Fetch Failed when varnish 4.1 is started as service on Debian 8


Varnish throwing 503 errors when there is a healthy backendvarnish 503s when accessing backendvarnish error 503 service unavailable guru meditationVarnish SMS allocation request generate HTTP 503How can I setup varnish for testing purposes?Can Varnish ignore hit-for-pass when backends are sickBackend fetch failed - varnish wont fetch drupal backendNginx, Varnish 4.1 Backend fetch failedVarnish stoped working and dies after start OKError 503 Backend fetch failed Guru Meditation: XID: 45654 Varnish cache server in magento2






.everyoneloves__top-leaderboard:empty,.everyoneloves__mid-leaderboard:empty,.everyoneloves__bot-mid-leaderboard:empty height:90px;width:728px;box-sizing:border-box;








3















I am new to varnish. Whenever I am trying to acess our backend via varnish I am getting the below error:-



<!DOCTYPE html>
<html>
<head>
<title>503 Backend fetch failed</title>
</head>
<body>
<h1>Error 503 Backend fetch failed</h1>
<p>Backend fetch failed</p>
<h3>Guru Meditation:</h3>
<p>XID: 3</p>
<hr>
<p>Varnish cache server</p>
</body>
</html>


My varnish.vcl looks like below:-



vcl 4.0;
backend default
.host = "146.88.25.40";
.port = "8080";



I also tried setting .connect_timeout = 60s, first_byte_timeout = 60s and .between_bytes_timeout = 60s But no luck.



My /etc/default/varnish:-



START=yes
NFILES=131072
MEMLOCK=82000
DAEMON_OPTS="-a 0.0.0.0:6081
-T localhost:6082
-f /etc/varnish/varnish.vcl
-S /etc/varnish/secret
-s malloc,1G"


varnishlog content:-



* << BeReq >> 3 
- Begin bereq 2 fetch
- Timestamp Start: 1451466805.152313 0.000000 0.000000
- BereqMethod GET
- BereqURL /rde_server/res/feea8d0b3d50/recomm/home/sid/jb55653bbd980baaf37484ef70bcfcef9b84d7c680ad1b487aed1fb21ac6779025?home_tsFilter=&cat_tsFilter=%28conc.item.brand+not+in+%2836%2C4187%2C4201%2C3721%2C4103%2C4101%2C4199%2C4075%29%29%28conc.item.param1+in+%28+a
- BereqProtocol HTTP/1.1
- BereqHeader User-Agent: curl/7.38.0
- BereqHeader Host: localhost:6081
- BereqHeader Accept: */*
- BereqHeader X-Forwarded-For: ::1
- BereqHeader Accept-Encoding: gzip
- BereqHeader X-Varnish: 3
- VCL_call BACKEND_FETCH
- VCL_return fetch
- FetchError no backend connection
- Timestamp Beresp: 1451466805.152502 0.000189 0.000189
- Timestamp Error: 1451466805.152511 0.000198 0.000009
- BerespProtocol HTTP/1.1
- BerespStatus 503
- BerespReason Service Unavailable
- BerespReason Backend fetch failed
- BerespHeader Date: Wed, 30 Dec 2015 09:13:25 GMT
- BerespHeader Server: Varnish
- VCL_call BACKEND_ERROR
- BerespHeader Content-Type: text/html; charset=utf-8
- BerespHeader Retry-After: 5
- VCL_return deliver
- Storage malloc Transient
- ObjProtocol HTTP/1.1
- ObjStatus 503
- ObjReason Backend fetch failed
- ObjHeader Date: Wed, 30 Dec 2015 09:13:25 GMT
- ObjHeader Server: Varnish
- ObjHeader Content-Type: text/html; charset=utf-8
- ObjHeader Retry-After: 5
- Length 278
- BereqAcct 0 0 0 0 0 0
- End

* << Request >> 2
- Begin req 1 rxreq
- Timestamp Start: 1451466805.152189 0.000000 0.000000
- Timestamp Req: 1451466805.152189 0.000000 0.000000
- ReqStart ::1 44193
- ReqMethod GET
- ReqURL /rde_server/res/feea8d0b3d50/recomm/home/sid/jb55653bbd980baaf37484ef70bcfcef9b84d7c680ad1b487aed1fb21ac6779025?home_tsFilter=&cat_tsFilter=%28conc.item.brand+not+in+%2836%2C4187%2C4201%2C3721%2C4103%2C4101%2C4199%2C4075%29%29%28conc.item.param1+in+%28+a
- ReqProtocol HTTP/1.1
- ReqHeader User-Agent: curl/7.38.0
- ReqHeader Host: localhost:6081
- ReqHeader Accept: */*
- ReqHeader X-Forwarded-For: ::1
- VCL_call RECV
- VCL_return hash
- VCL_call HASH
- VCL_return lookup
- VCL_call MISS
- VCL_return fetch
- Link bereq 3 fetch
- Timestamp Fetch: 1451466805.152650 0.000461 0.000461
- RespProtocol HTTP/1.1
- RespStatus 503
- RespReason Backend fetch failed
- RespHeader Date: Wed, 30 Dec 2015 09:13:25 GMT
- RespHeader Server: Varnish
- RespHeader Content-Type: text/html; charset=utf-8
- RespHeader Retry-After: 5
- RespHeader X-Varnish: 2
- RespHeader Age: 0
- RespHeader Via: 1.1 varnish-v4
- VCL_call DELIVER
- VCL_return deliver
- Timestamp Process: 1451466805.152718 0.000529 0.000068
- RespHeader Content-Length: 278
- Debug "RES_MODE 2"
- RespHeader Connection: keep-alive
- Timestamp Resp: 1451466805.152773 0.000584 0.000055
- ReqAcct 386 0 386 235 278 513
- End

* << Session >> 1
- Begin sess 0 HTTP/1
- SessOpen ::1 44193 :6081 ::1 6081 1451466805.152117 14
- Link req 2 rxreq
- SessClose REM_CLOSE 0.001
- End


If I start varnish as below then also everything works fine. I am facing problem only when I start varnish via sudo service varnish start



sudo varnishd -n foo -f /etc/varnish/prudsys.vcl -s malloc,1G -T localhost:6082 -a 0.0.0.0:6081


Everything works fine if I add my backend info in /etc/varnish/default.vcl. It seems somehow the varnish is not picking the updated daemon config from /etc/default/varnish



My /etc/init.d/varnish looks like below:-



#! /bin/sh

### BEGIN INIT INFO
# Provides: varnish
# Required-Start: $local_fs $remote_fs $network
# Required-Stop: $local_fs $remote_fs $network
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Start HTTP accelerator
# Description: This script provides a server-side cache
# to be run in front of a httpd and should
# listen on port 80 on a properly configured
# system
### END INIT INFO

# Source function library
. /lib/lsb/init-functions

NAME=varnishd
DESC="HTTP accelerator"
PATH=/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/sbin/varnishd
PIDFILE=/run/$NAME.pid

test -x $DAEMON || exit 0

# Include varnish defaults if available
if [ -f /etc/default/varnish ] ; then
. /etc/default/varnish
fi

# Open files (usually 1024, which is way too small for varnish)
ulimit -n $NFILES:-131072

# Maxiumum locked memory size for shared memory log
ulimit -l $MEMLOCK:-82000

# If $DAEMON_OPTS is not set at all in /etc/default/varnish, use minimal useful
# defaults (Backend at localhost:8080, a common place to put a locally
# installed application server.)
DAEMON_OPTS=$DAEMON_OPTS:--b localhost

# Ensure we have a PATH
export PATH="$PATH:+$PATH:/usr/sbin:/usr/bin:/sbin:/bin"

start_varnishd()
log_daemon_msg "Starting $DESC" "$NAME"
output=$(/bin/tempfile -s.varnish)
if start-stop-daemon
--start --quiet --pidfile $PIDFILE --exec $DAEMON --
-P $PIDFILE $DAEMON_OPTS > $output 2>&1; then
log_end_msg 0
else
log_end_msg 1
cat $output
exit 1
fi
rm $output


disabled_varnishd()
log_daemon_msg "Not starting $DESC" "$NAME"
log_progress_msg "disabled in /etc/default/varnish"
log_end_msg 0


stop_varnishd()
log_daemon_msg "Stopping $DESC" "$NAME"
if start-stop-daemon
--stop --quiet --pidfile $PIDFILE --retry 10
--exec $DAEMON; then
log_end_msg 0
else
log_end_msg 1
fi

if test -r $PIDFILE; then
read -r PID < $PIDFILE
if test ! -d /proc/$PID ; then
# stale pidfile
unset PID
rm -f $PIDFILE
fi
fi


reload_varnishd()
log_daemon_msg "Reloading $DESC" "$NAME"
if /usr/share/varnish/reload-vcl -q; then
log_end_msg 0
else
log_end_msg 1
fi


status_varnishd()
start-stop-daemon
--status --quiet --pidfile $PIDFILE
--exec $DAEMON
exit $?


configtest()
$DAEMON $DAEMON_OPTS -C -n /tmp 2>/dev/null
if [ "$?" != 0 ]; then
$DAEMON $DAEMON_OPTS -C -n /tmp
return $?
fi



case "$1" in
start)
case "$START:-" in
[Yy]es|[Yy]|1|[Tt]|[Tt]rue)
start_varnishd
;;
*)
disabled_varnishd
;;
esac
;;
stop)
stop_varnishd
;;
reload)
reload_varnishd
;;
status)
status_varnishd
;;
restart|force-reload)
if status_of_proc -p "$PIDFILE" "$DAEMON" "$NAME" 1>/dev/null; then
if ! configtest; then
log_failure_msg "Syntax check failed, not restarting"
exit 1
fi
fi
$0 stop
$0 start
;;
configtest)
configtest && log_success_msg "Syntax ok"
;;
*)
log_success_msg "Usage: $0 stop"
exit 1
;;
esac


Can some one let me know what is going wrong? I am using varnish 4.1 on Debian 8.










share|improve this question






























    3















    I am new to varnish. Whenever I am trying to acess our backend via varnish I am getting the below error:-



    <!DOCTYPE html>
    <html>
    <head>
    <title>503 Backend fetch failed</title>
    </head>
    <body>
    <h1>Error 503 Backend fetch failed</h1>
    <p>Backend fetch failed</p>
    <h3>Guru Meditation:</h3>
    <p>XID: 3</p>
    <hr>
    <p>Varnish cache server</p>
    </body>
    </html>


    My varnish.vcl looks like below:-



    vcl 4.0;
    backend default
    .host = "146.88.25.40";
    .port = "8080";



    I also tried setting .connect_timeout = 60s, first_byte_timeout = 60s and .between_bytes_timeout = 60s But no luck.



    My /etc/default/varnish:-



    START=yes
    NFILES=131072
    MEMLOCK=82000
    DAEMON_OPTS="-a 0.0.0.0:6081
    -T localhost:6082
    -f /etc/varnish/varnish.vcl
    -S /etc/varnish/secret
    -s malloc,1G"


    varnishlog content:-



    * << BeReq >> 3 
    - Begin bereq 2 fetch
    - Timestamp Start: 1451466805.152313 0.000000 0.000000
    - BereqMethod GET
    - BereqURL /rde_server/res/feea8d0b3d50/recomm/home/sid/jb55653bbd980baaf37484ef70bcfcef9b84d7c680ad1b487aed1fb21ac6779025?home_tsFilter=&cat_tsFilter=%28conc.item.brand+not+in+%2836%2C4187%2C4201%2C3721%2C4103%2C4101%2C4199%2C4075%29%29%28conc.item.param1+in+%28+a
    - BereqProtocol HTTP/1.1
    - BereqHeader User-Agent: curl/7.38.0
    - BereqHeader Host: localhost:6081
    - BereqHeader Accept: */*
    - BereqHeader X-Forwarded-For: ::1
    - BereqHeader Accept-Encoding: gzip
    - BereqHeader X-Varnish: 3
    - VCL_call BACKEND_FETCH
    - VCL_return fetch
    - FetchError no backend connection
    - Timestamp Beresp: 1451466805.152502 0.000189 0.000189
    - Timestamp Error: 1451466805.152511 0.000198 0.000009
    - BerespProtocol HTTP/1.1
    - BerespStatus 503
    - BerespReason Service Unavailable
    - BerespReason Backend fetch failed
    - BerespHeader Date: Wed, 30 Dec 2015 09:13:25 GMT
    - BerespHeader Server: Varnish
    - VCL_call BACKEND_ERROR
    - BerespHeader Content-Type: text/html; charset=utf-8
    - BerespHeader Retry-After: 5
    - VCL_return deliver
    - Storage malloc Transient
    - ObjProtocol HTTP/1.1
    - ObjStatus 503
    - ObjReason Backend fetch failed
    - ObjHeader Date: Wed, 30 Dec 2015 09:13:25 GMT
    - ObjHeader Server: Varnish
    - ObjHeader Content-Type: text/html; charset=utf-8
    - ObjHeader Retry-After: 5
    - Length 278
    - BereqAcct 0 0 0 0 0 0
    - End

    * << Request >> 2
    - Begin req 1 rxreq
    - Timestamp Start: 1451466805.152189 0.000000 0.000000
    - Timestamp Req: 1451466805.152189 0.000000 0.000000
    - ReqStart ::1 44193
    - ReqMethod GET
    - ReqURL /rde_server/res/feea8d0b3d50/recomm/home/sid/jb55653bbd980baaf37484ef70bcfcef9b84d7c680ad1b487aed1fb21ac6779025?home_tsFilter=&cat_tsFilter=%28conc.item.brand+not+in+%2836%2C4187%2C4201%2C3721%2C4103%2C4101%2C4199%2C4075%29%29%28conc.item.param1+in+%28+a
    - ReqProtocol HTTP/1.1
    - ReqHeader User-Agent: curl/7.38.0
    - ReqHeader Host: localhost:6081
    - ReqHeader Accept: */*
    - ReqHeader X-Forwarded-For: ::1
    - VCL_call RECV
    - VCL_return hash
    - VCL_call HASH
    - VCL_return lookup
    - VCL_call MISS
    - VCL_return fetch
    - Link bereq 3 fetch
    - Timestamp Fetch: 1451466805.152650 0.000461 0.000461
    - RespProtocol HTTP/1.1
    - RespStatus 503
    - RespReason Backend fetch failed
    - RespHeader Date: Wed, 30 Dec 2015 09:13:25 GMT
    - RespHeader Server: Varnish
    - RespHeader Content-Type: text/html; charset=utf-8
    - RespHeader Retry-After: 5
    - RespHeader X-Varnish: 2
    - RespHeader Age: 0
    - RespHeader Via: 1.1 varnish-v4
    - VCL_call DELIVER
    - VCL_return deliver
    - Timestamp Process: 1451466805.152718 0.000529 0.000068
    - RespHeader Content-Length: 278
    - Debug "RES_MODE 2"
    - RespHeader Connection: keep-alive
    - Timestamp Resp: 1451466805.152773 0.000584 0.000055
    - ReqAcct 386 0 386 235 278 513
    - End

    * << Session >> 1
    - Begin sess 0 HTTP/1
    - SessOpen ::1 44193 :6081 ::1 6081 1451466805.152117 14
    - Link req 2 rxreq
    - SessClose REM_CLOSE 0.001
    - End


    If I start varnish as below then also everything works fine. I am facing problem only when I start varnish via sudo service varnish start



    sudo varnishd -n foo -f /etc/varnish/prudsys.vcl -s malloc,1G -T localhost:6082 -a 0.0.0.0:6081


    Everything works fine if I add my backend info in /etc/varnish/default.vcl. It seems somehow the varnish is not picking the updated daemon config from /etc/default/varnish



    My /etc/init.d/varnish looks like below:-



    #! /bin/sh

    ### BEGIN INIT INFO
    # Provides: varnish
    # Required-Start: $local_fs $remote_fs $network
    # Required-Stop: $local_fs $remote_fs $network
    # Default-Start: 2 3 4 5
    # Default-Stop: 0 1 6
    # Short-Description: Start HTTP accelerator
    # Description: This script provides a server-side cache
    # to be run in front of a httpd and should
    # listen on port 80 on a properly configured
    # system
    ### END INIT INFO

    # Source function library
    . /lib/lsb/init-functions

    NAME=varnishd
    DESC="HTTP accelerator"
    PATH=/sbin:/bin:/usr/sbin:/usr/bin
    DAEMON=/usr/sbin/varnishd
    PIDFILE=/run/$NAME.pid

    test -x $DAEMON || exit 0

    # Include varnish defaults if available
    if [ -f /etc/default/varnish ] ; then
    . /etc/default/varnish
    fi

    # Open files (usually 1024, which is way too small for varnish)
    ulimit -n $NFILES:-131072

    # Maxiumum locked memory size for shared memory log
    ulimit -l $MEMLOCK:-82000

    # If $DAEMON_OPTS is not set at all in /etc/default/varnish, use minimal useful
    # defaults (Backend at localhost:8080, a common place to put a locally
    # installed application server.)
    DAEMON_OPTS=$DAEMON_OPTS:--b localhost

    # Ensure we have a PATH
    export PATH="$PATH:+$PATH:/usr/sbin:/usr/bin:/sbin:/bin"

    start_varnishd()
    log_daemon_msg "Starting $DESC" "$NAME"
    output=$(/bin/tempfile -s.varnish)
    if start-stop-daemon
    --start --quiet --pidfile $PIDFILE --exec $DAEMON --
    -P $PIDFILE $DAEMON_OPTS > $output 2>&1; then
    log_end_msg 0
    else
    log_end_msg 1
    cat $output
    exit 1
    fi
    rm $output


    disabled_varnishd()
    log_daemon_msg "Not starting $DESC" "$NAME"
    log_progress_msg "disabled in /etc/default/varnish"
    log_end_msg 0


    stop_varnishd()
    log_daemon_msg "Stopping $DESC" "$NAME"
    if start-stop-daemon
    --stop --quiet --pidfile $PIDFILE --retry 10
    --exec $DAEMON; then
    log_end_msg 0
    else
    log_end_msg 1
    fi

    if test -r $PIDFILE; then
    read -r PID < $PIDFILE
    if test ! -d /proc/$PID ; then
    # stale pidfile
    unset PID
    rm -f $PIDFILE
    fi
    fi


    reload_varnishd()
    log_daemon_msg "Reloading $DESC" "$NAME"
    if /usr/share/varnish/reload-vcl -q; then
    log_end_msg 0
    else
    log_end_msg 1
    fi


    status_varnishd()
    start-stop-daemon
    --status --quiet --pidfile $PIDFILE
    --exec $DAEMON
    exit $?


    configtest()
    $DAEMON $DAEMON_OPTS -C -n /tmp 2>/dev/null
    if [ "$?" != 0 ]; then
    $DAEMON $DAEMON_OPTS -C -n /tmp
    return $?
    fi



    case "$1" in
    start)
    case "$START:-" in
    [Yy]es|[Yy]|1|[Tt]|[Tt]rue)
    start_varnishd
    ;;
    *)
    disabled_varnishd
    ;;
    esac
    ;;
    stop)
    stop_varnishd
    ;;
    reload)
    reload_varnishd
    ;;
    status)
    status_varnishd
    ;;
    restart|force-reload)
    if status_of_proc -p "$PIDFILE" "$DAEMON" "$NAME" 1>/dev/null; then
    if ! configtest; then
    log_failure_msg "Syntax check failed, not restarting"
    exit 1
    fi
    fi
    $0 stop
    $0 start
    ;;
    configtest)
    configtest && log_success_msg "Syntax ok"
    ;;
    *)
    log_success_msg "Usage: $0 stop"
    exit 1
    ;;
    esac


    Can some one let me know what is going wrong? I am using varnish 4.1 on Debian 8.










    share|improve this question


























      3












      3








      3


      1






      I am new to varnish. Whenever I am trying to acess our backend via varnish I am getting the below error:-



      <!DOCTYPE html>
      <html>
      <head>
      <title>503 Backend fetch failed</title>
      </head>
      <body>
      <h1>Error 503 Backend fetch failed</h1>
      <p>Backend fetch failed</p>
      <h3>Guru Meditation:</h3>
      <p>XID: 3</p>
      <hr>
      <p>Varnish cache server</p>
      </body>
      </html>


      My varnish.vcl looks like below:-



      vcl 4.0;
      backend default
      .host = "146.88.25.40";
      .port = "8080";



      I also tried setting .connect_timeout = 60s, first_byte_timeout = 60s and .between_bytes_timeout = 60s But no luck.



      My /etc/default/varnish:-



      START=yes
      NFILES=131072
      MEMLOCK=82000
      DAEMON_OPTS="-a 0.0.0.0:6081
      -T localhost:6082
      -f /etc/varnish/varnish.vcl
      -S /etc/varnish/secret
      -s malloc,1G"


      varnishlog content:-



      * << BeReq >> 3 
      - Begin bereq 2 fetch
      - Timestamp Start: 1451466805.152313 0.000000 0.000000
      - BereqMethod GET
      - BereqURL /rde_server/res/feea8d0b3d50/recomm/home/sid/jb55653bbd980baaf37484ef70bcfcef9b84d7c680ad1b487aed1fb21ac6779025?home_tsFilter=&cat_tsFilter=%28conc.item.brand+not+in+%2836%2C4187%2C4201%2C3721%2C4103%2C4101%2C4199%2C4075%29%29%28conc.item.param1+in+%28+a
      - BereqProtocol HTTP/1.1
      - BereqHeader User-Agent: curl/7.38.0
      - BereqHeader Host: localhost:6081
      - BereqHeader Accept: */*
      - BereqHeader X-Forwarded-For: ::1
      - BereqHeader Accept-Encoding: gzip
      - BereqHeader X-Varnish: 3
      - VCL_call BACKEND_FETCH
      - VCL_return fetch
      - FetchError no backend connection
      - Timestamp Beresp: 1451466805.152502 0.000189 0.000189
      - Timestamp Error: 1451466805.152511 0.000198 0.000009
      - BerespProtocol HTTP/1.1
      - BerespStatus 503
      - BerespReason Service Unavailable
      - BerespReason Backend fetch failed
      - BerespHeader Date: Wed, 30 Dec 2015 09:13:25 GMT
      - BerespHeader Server: Varnish
      - VCL_call BACKEND_ERROR
      - BerespHeader Content-Type: text/html; charset=utf-8
      - BerespHeader Retry-After: 5
      - VCL_return deliver
      - Storage malloc Transient
      - ObjProtocol HTTP/1.1
      - ObjStatus 503
      - ObjReason Backend fetch failed
      - ObjHeader Date: Wed, 30 Dec 2015 09:13:25 GMT
      - ObjHeader Server: Varnish
      - ObjHeader Content-Type: text/html; charset=utf-8
      - ObjHeader Retry-After: 5
      - Length 278
      - BereqAcct 0 0 0 0 0 0
      - End

      * << Request >> 2
      - Begin req 1 rxreq
      - Timestamp Start: 1451466805.152189 0.000000 0.000000
      - Timestamp Req: 1451466805.152189 0.000000 0.000000
      - ReqStart ::1 44193
      - ReqMethod GET
      - ReqURL /rde_server/res/feea8d0b3d50/recomm/home/sid/jb55653bbd980baaf37484ef70bcfcef9b84d7c680ad1b487aed1fb21ac6779025?home_tsFilter=&cat_tsFilter=%28conc.item.brand+not+in+%2836%2C4187%2C4201%2C3721%2C4103%2C4101%2C4199%2C4075%29%29%28conc.item.param1+in+%28+a
      - ReqProtocol HTTP/1.1
      - ReqHeader User-Agent: curl/7.38.0
      - ReqHeader Host: localhost:6081
      - ReqHeader Accept: */*
      - ReqHeader X-Forwarded-For: ::1
      - VCL_call RECV
      - VCL_return hash
      - VCL_call HASH
      - VCL_return lookup
      - VCL_call MISS
      - VCL_return fetch
      - Link bereq 3 fetch
      - Timestamp Fetch: 1451466805.152650 0.000461 0.000461
      - RespProtocol HTTP/1.1
      - RespStatus 503
      - RespReason Backend fetch failed
      - RespHeader Date: Wed, 30 Dec 2015 09:13:25 GMT
      - RespHeader Server: Varnish
      - RespHeader Content-Type: text/html; charset=utf-8
      - RespHeader Retry-After: 5
      - RespHeader X-Varnish: 2
      - RespHeader Age: 0
      - RespHeader Via: 1.1 varnish-v4
      - VCL_call DELIVER
      - VCL_return deliver
      - Timestamp Process: 1451466805.152718 0.000529 0.000068
      - RespHeader Content-Length: 278
      - Debug "RES_MODE 2"
      - RespHeader Connection: keep-alive
      - Timestamp Resp: 1451466805.152773 0.000584 0.000055
      - ReqAcct 386 0 386 235 278 513
      - End

      * << Session >> 1
      - Begin sess 0 HTTP/1
      - SessOpen ::1 44193 :6081 ::1 6081 1451466805.152117 14
      - Link req 2 rxreq
      - SessClose REM_CLOSE 0.001
      - End


      If I start varnish as below then also everything works fine. I am facing problem only when I start varnish via sudo service varnish start



      sudo varnishd -n foo -f /etc/varnish/prudsys.vcl -s malloc,1G -T localhost:6082 -a 0.0.0.0:6081


      Everything works fine if I add my backend info in /etc/varnish/default.vcl. It seems somehow the varnish is not picking the updated daemon config from /etc/default/varnish



      My /etc/init.d/varnish looks like below:-



      #! /bin/sh

      ### BEGIN INIT INFO
      # Provides: varnish
      # Required-Start: $local_fs $remote_fs $network
      # Required-Stop: $local_fs $remote_fs $network
      # Default-Start: 2 3 4 5
      # Default-Stop: 0 1 6
      # Short-Description: Start HTTP accelerator
      # Description: This script provides a server-side cache
      # to be run in front of a httpd and should
      # listen on port 80 on a properly configured
      # system
      ### END INIT INFO

      # Source function library
      . /lib/lsb/init-functions

      NAME=varnishd
      DESC="HTTP accelerator"
      PATH=/sbin:/bin:/usr/sbin:/usr/bin
      DAEMON=/usr/sbin/varnishd
      PIDFILE=/run/$NAME.pid

      test -x $DAEMON || exit 0

      # Include varnish defaults if available
      if [ -f /etc/default/varnish ] ; then
      . /etc/default/varnish
      fi

      # Open files (usually 1024, which is way too small for varnish)
      ulimit -n $NFILES:-131072

      # Maxiumum locked memory size for shared memory log
      ulimit -l $MEMLOCK:-82000

      # If $DAEMON_OPTS is not set at all in /etc/default/varnish, use minimal useful
      # defaults (Backend at localhost:8080, a common place to put a locally
      # installed application server.)
      DAEMON_OPTS=$DAEMON_OPTS:--b localhost

      # Ensure we have a PATH
      export PATH="$PATH:+$PATH:/usr/sbin:/usr/bin:/sbin:/bin"

      start_varnishd()
      log_daemon_msg "Starting $DESC" "$NAME"
      output=$(/bin/tempfile -s.varnish)
      if start-stop-daemon
      --start --quiet --pidfile $PIDFILE --exec $DAEMON --
      -P $PIDFILE $DAEMON_OPTS > $output 2>&1; then
      log_end_msg 0
      else
      log_end_msg 1
      cat $output
      exit 1
      fi
      rm $output


      disabled_varnishd()
      log_daemon_msg "Not starting $DESC" "$NAME"
      log_progress_msg "disabled in /etc/default/varnish"
      log_end_msg 0


      stop_varnishd()
      log_daemon_msg "Stopping $DESC" "$NAME"
      if start-stop-daemon
      --stop --quiet --pidfile $PIDFILE --retry 10
      --exec $DAEMON; then
      log_end_msg 0
      else
      log_end_msg 1
      fi

      if test -r $PIDFILE; then
      read -r PID < $PIDFILE
      if test ! -d /proc/$PID ; then
      # stale pidfile
      unset PID
      rm -f $PIDFILE
      fi
      fi


      reload_varnishd()
      log_daemon_msg "Reloading $DESC" "$NAME"
      if /usr/share/varnish/reload-vcl -q; then
      log_end_msg 0
      else
      log_end_msg 1
      fi


      status_varnishd()
      start-stop-daemon
      --status --quiet --pidfile $PIDFILE
      --exec $DAEMON
      exit $?


      configtest()
      $DAEMON $DAEMON_OPTS -C -n /tmp 2>/dev/null
      if [ "$?" != 0 ]; then
      $DAEMON $DAEMON_OPTS -C -n /tmp
      return $?
      fi



      case "$1" in
      start)
      case "$START:-" in
      [Yy]es|[Yy]|1|[Tt]|[Tt]rue)
      start_varnishd
      ;;
      *)
      disabled_varnishd
      ;;
      esac
      ;;
      stop)
      stop_varnishd
      ;;
      reload)
      reload_varnishd
      ;;
      status)
      status_varnishd
      ;;
      restart|force-reload)
      if status_of_proc -p "$PIDFILE" "$DAEMON" "$NAME" 1>/dev/null; then
      if ! configtest; then
      log_failure_msg "Syntax check failed, not restarting"
      exit 1
      fi
      fi
      $0 stop
      $0 start
      ;;
      configtest)
      configtest && log_success_msg "Syntax ok"
      ;;
      *)
      log_success_msg "Usage: $0 stop"
      exit 1
      ;;
      esac


      Can some one let me know what is going wrong? I am using varnish 4.1 on Debian 8.










      share|improve this question
















      I am new to varnish. Whenever I am trying to acess our backend via varnish I am getting the below error:-



      <!DOCTYPE html>
      <html>
      <head>
      <title>503 Backend fetch failed</title>
      </head>
      <body>
      <h1>Error 503 Backend fetch failed</h1>
      <p>Backend fetch failed</p>
      <h3>Guru Meditation:</h3>
      <p>XID: 3</p>
      <hr>
      <p>Varnish cache server</p>
      </body>
      </html>


      My varnish.vcl looks like below:-



      vcl 4.0;
      backend default
      .host = "146.88.25.40";
      .port = "8080";



      I also tried setting .connect_timeout = 60s, first_byte_timeout = 60s and .between_bytes_timeout = 60s But no luck.



      My /etc/default/varnish:-



      START=yes
      NFILES=131072
      MEMLOCK=82000
      DAEMON_OPTS="-a 0.0.0.0:6081
      -T localhost:6082
      -f /etc/varnish/varnish.vcl
      -S /etc/varnish/secret
      -s malloc,1G"


      varnishlog content:-



      * << BeReq >> 3 
      - Begin bereq 2 fetch
      - Timestamp Start: 1451466805.152313 0.000000 0.000000
      - BereqMethod GET
      - BereqURL /rde_server/res/feea8d0b3d50/recomm/home/sid/jb55653bbd980baaf37484ef70bcfcef9b84d7c680ad1b487aed1fb21ac6779025?home_tsFilter=&cat_tsFilter=%28conc.item.brand+not+in+%2836%2C4187%2C4201%2C3721%2C4103%2C4101%2C4199%2C4075%29%29%28conc.item.param1+in+%28+a
      - BereqProtocol HTTP/1.1
      - BereqHeader User-Agent: curl/7.38.0
      - BereqHeader Host: localhost:6081
      - BereqHeader Accept: */*
      - BereqHeader X-Forwarded-For: ::1
      - BereqHeader Accept-Encoding: gzip
      - BereqHeader X-Varnish: 3
      - VCL_call BACKEND_FETCH
      - VCL_return fetch
      - FetchError no backend connection
      - Timestamp Beresp: 1451466805.152502 0.000189 0.000189
      - Timestamp Error: 1451466805.152511 0.000198 0.000009
      - BerespProtocol HTTP/1.1
      - BerespStatus 503
      - BerespReason Service Unavailable
      - BerespReason Backend fetch failed
      - BerespHeader Date: Wed, 30 Dec 2015 09:13:25 GMT
      - BerespHeader Server: Varnish
      - VCL_call BACKEND_ERROR
      - BerespHeader Content-Type: text/html; charset=utf-8
      - BerespHeader Retry-After: 5
      - VCL_return deliver
      - Storage malloc Transient
      - ObjProtocol HTTP/1.1
      - ObjStatus 503
      - ObjReason Backend fetch failed
      - ObjHeader Date: Wed, 30 Dec 2015 09:13:25 GMT
      - ObjHeader Server: Varnish
      - ObjHeader Content-Type: text/html; charset=utf-8
      - ObjHeader Retry-After: 5
      - Length 278
      - BereqAcct 0 0 0 0 0 0
      - End

      * << Request >> 2
      - Begin req 1 rxreq
      - Timestamp Start: 1451466805.152189 0.000000 0.000000
      - Timestamp Req: 1451466805.152189 0.000000 0.000000
      - ReqStart ::1 44193
      - ReqMethod GET
      - ReqURL /rde_server/res/feea8d0b3d50/recomm/home/sid/jb55653bbd980baaf37484ef70bcfcef9b84d7c680ad1b487aed1fb21ac6779025?home_tsFilter=&cat_tsFilter=%28conc.item.brand+not+in+%2836%2C4187%2C4201%2C3721%2C4103%2C4101%2C4199%2C4075%29%29%28conc.item.param1+in+%28+a
      - ReqProtocol HTTP/1.1
      - ReqHeader User-Agent: curl/7.38.0
      - ReqHeader Host: localhost:6081
      - ReqHeader Accept: */*
      - ReqHeader X-Forwarded-For: ::1
      - VCL_call RECV
      - VCL_return hash
      - VCL_call HASH
      - VCL_return lookup
      - VCL_call MISS
      - VCL_return fetch
      - Link bereq 3 fetch
      - Timestamp Fetch: 1451466805.152650 0.000461 0.000461
      - RespProtocol HTTP/1.1
      - RespStatus 503
      - RespReason Backend fetch failed
      - RespHeader Date: Wed, 30 Dec 2015 09:13:25 GMT
      - RespHeader Server: Varnish
      - RespHeader Content-Type: text/html; charset=utf-8
      - RespHeader Retry-After: 5
      - RespHeader X-Varnish: 2
      - RespHeader Age: 0
      - RespHeader Via: 1.1 varnish-v4
      - VCL_call DELIVER
      - VCL_return deliver
      - Timestamp Process: 1451466805.152718 0.000529 0.000068
      - RespHeader Content-Length: 278
      - Debug "RES_MODE 2"
      - RespHeader Connection: keep-alive
      - Timestamp Resp: 1451466805.152773 0.000584 0.000055
      - ReqAcct 386 0 386 235 278 513
      - End

      * << Session >> 1
      - Begin sess 0 HTTP/1
      - SessOpen ::1 44193 :6081 ::1 6081 1451466805.152117 14
      - Link req 2 rxreq
      - SessClose REM_CLOSE 0.001
      - End


      If I start varnish as below then also everything works fine. I am facing problem only when I start varnish via sudo service varnish start



      sudo varnishd -n foo -f /etc/varnish/prudsys.vcl -s malloc,1G -T localhost:6082 -a 0.0.0.0:6081


      Everything works fine if I add my backend info in /etc/varnish/default.vcl. It seems somehow the varnish is not picking the updated daemon config from /etc/default/varnish



      My /etc/init.d/varnish looks like below:-



      #! /bin/sh

      ### BEGIN INIT INFO
      # Provides: varnish
      # Required-Start: $local_fs $remote_fs $network
      # Required-Stop: $local_fs $remote_fs $network
      # Default-Start: 2 3 4 5
      # Default-Stop: 0 1 6
      # Short-Description: Start HTTP accelerator
      # Description: This script provides a server-side cache
      # to be run in front of a httpd and should
      # listen on port 80 on a properly configured
      # system
      ### END INIT INFO

      # Source function library
      . /lib/lsb/init-functions

      NAME=varnishd
      DESC="HTTP accelerator"
      PATH=/sbin:/bin:/usr/sbin:/usr/bin
      DAEMON=/usr/sbin/varnishd
      PIDFILE=/run/$NAME.pid

      test -x $DAEMON || exit 0

      # Include varnish defaults if available
      if [ -f /etc/default/varnish ] ; then
      . /etc/default/varnish
      fi

      # Open files (usually 1024, which is way too small for varnish)
      ulimit -n $NFILES:-131072

      # Maxiumum locked memory size for shared memory log
      ulimit -l $MEMLOCK:-82000

      # If $DAEMON_OPTS is not set at all in /etc/default/varnish, use minimal useful
      # defaults (Backend at localhost:8080, a common place to put a locally
      # installed application server.)
      DAEMON_OPTS=$DAEMON_OPTS:--b localhost

      # Ensure we have a PATH
      export PATH="$PATH:+$PATH:/usr/sbin:/usr/bin:/sbin:/bin"

      start_varnishd()
      log_daemon_msg "Starting $DESC" "$NAME"
      output=$(/bin/tempfile -s.varnish)
      if start-stop-daemon
      --start --quiet --pidfile $PIDFILE --exec $DAEMON --
      -P $PIDFILE $DAEMON_OPTS > $output 2>&1; then
      log_end_msg 0
      else
      log_end_msg 1
      cat $output
      exit 1
      fi
      rm $output


      disabled_varnishd()
      log_daemon_msg "Not starting $DESC" "$NAME"
      log_progress_msg "disabled in /etc/default/varnish"
      log_end_msg 0


      stop_varnishd()
      log_daemon_msg "Stopping $DESC" "$NAME"
      if start-stop-daemon
      --stop --quiet --pidfile $PIDFILE --retry 10
      --exec $DAEMON; then
      log_end_msg 0
      else
      log_end_msg 1
      fi

      if test -r $PIDFILE; then
      read -r PID < $PIDFILE
      if test ! -d /proc/$PID ; then
      # stale pidfile
      unset PID
      rm -f $PIDFILE
      fi
      fi


      reload_varnishd()
      log_daemon_msg "Reloading $DESC" "$NAME"
      if /usr/share/varnish/reload-vcl -q; then
      log_end_msg 0
      else
      log_end_msg 1
      fi


      status_varnishd()
      start-stop-daemon
      --status --quiet --pidfile $PIDFILE
      --exec $DAEMON
      exit $?


      configtest()
      $DAEMON $DAEMON_OPTS -C -n /tmp 2>/dev/null
      if [ "$?" != 0 ]; then
      $DAEMON $DAEMON_OPTS -C -n /tmp
      return $?
      fi



      case "$1" in
      start)
      case "$START:-" in
      [Yy]es|[Yy]|1|[Tt]|[Tt]rue)
      start_varnishd
      ;;
      *)
      disabled_varnishd
      ;;
      esac
      ;;
      stop)
      stop_varnishd
      ;;
      reload)
      reload_varnishd
      ;;
      status)
      status_varnishd
      ;;
      restart|force-reload)
      if status_of_proc -p "$PIDFILE" "$DAEMON" "$NAME" 1>/dev/null; then
      if ! configtest; then
      log_failure_msg "Syntax check failed, not restarting"
      exit 1
      fi
      fi
      $0 stop
      $0 start
      ;;
      configtest)
      configtest && log_success_msg "Syntax ok"
      ;;
      *)
      log_success_msg "Usage: $0 stop"
      exit 1
      ;;
      esac


      Can some one let me know what is going wrong? I am using varnish 4.1 on Debian 8.







      varnish debian-jessie






      share|improve this question















      share|improve this question













      share|improve this question




      share|improve this question








      edited Dec 30 '15 at 17:14







      tuk

















      asked Dec 30 '15 at 9:42









      tuktuk

      16618




      16618




















          1 Answer
          1






          active

          oldest

          votes


















          0














          This is an issue with Debian 8 and Varnish. I was able to get around the problem by following the below steps.



          Override the systemd init script of varnish



          # cp /lib/systemd/system/varnish.service /etc/systemd/system/
          # vim /etc/systemd/system/varnish.service


          Edit /etc/systemd/system/varnish.service directly as shown below:-



          [Unit]
          Description=Varnish Cache, a high-performance HTTP accelerator

          [Service]
          Type=forking
          LimitNOFILE=131072
          LimitMEMLOCK=82000
          ExecStartPre=/usr/sbin/varnishd -C -f /etc/varnish/prudsys.vcl
          ExecStart=/usr/sbin/varnishd -a :6081 -T localhost:6082 -f /etc/varnish/prudsys.vcl -S /etc/varnish/secret -s malloc,1G
          ExecReload=/usr/share/varnish/reload-vcl

          [Install]
          WantedBy=multi-user.target


          Restart the services:-



          systemctl daemon-reload
          systemctl restart varnish.service


          Remember to make changes in all three places:-




          1. /etc/default/varnish

          2. /lib/systemd/system/varnish.service

          3. /etc/systemd/system/varnish.service





          share|improve this answer

























          • the second place and third place are the same?

            – cusco
            Dec 6 '16 at 18:01






          • 1





            Any chance you could explain what exactly you’re changing and what the problem is?

            – Aeyoun
            Jun 16 '17 at 11:40











          • @Aeyoun - I just followed the blog given in my answer.

            – tuk
            Jun 16 '17 at 13:30











          • Blog link is broken though.

            – Ain
            Apr 3 at 13:10











          Your Answer








          StackExchange.ready(function()
          var channelOptions =
          tags: "".split(" "),
          id: "2"
          ;
          initTagRenderer("".split(" "), "".split(" "), channelOptions);

          StackExchange.using("externalEditor", function()
          // Have to fire editor after snippets, if snippets enabled
          if (StackExchange.settings.snippets.snippetsEnabled)
          StackExchange.using("snippets", function()
          createEditor();
          );

          else
          createEditor();

          );

          function createEditor()
          StackExchange.prepareEditor(
          heartbeatType: 'answer',
          autoActivateHeartbeat: false,
          convertImagesToLinks: true,
          noModals: true,
          showLowRepImageUploadWarning: true,
          reputationToPostImages: 10,
          bindNavPrevention: true,
          postfix: "",
          imageUploader:
          brandingHtml: "Powered by u003ca class="icon-imgur-white" href="https://imgur.com/"u003eu003c/au003e",
          contentPolicyHtml: "User contributions licensed under u003ca href="https://creativecommons.org/licenses/by-sa/3.0/"u003ecc by-sa 3.0 with attribution requiredu003c/au003e u003ca href="https://stackoverflow.com/legal/content-policy"u003e(content policy)u003c/au003e",
          allowUrls: true
          ,
          onDemand: true,
          discardSelector: ".discard-answer"
          ,immediatelyShowMarkdownHelp:true
          );



          );













          draft saved

          draft discarded


















          StackExchange.ready(
          function ()
          StackExchange.openid.initPostLogin('.new-post-login', 'https%3a%2f%2fserverfault.com%2fquestions%2f745925%2fvarnish-503-backend-fetch-failed-when-varnish-4-1-is-started-as-service-on-debia%23new-answer', 'question_page');

          );

          Post as a guest















          Required, but never shown

























          1 Answer
          1






          active

          oldest

          votes








          1 Answer
          1






          active

          oldest

          votes









          active

          oldest

          votes






          active

          oldest

          votes









          0














          This is an issue with Debian 8 and Varnish. I was able to get around the problem by following the below steps.



          Override the systemd init script of varnish



          # cp /lib/systemd/system/varnish.service /etc/systemd/system/
          # vim /etc/systemd/system/varnish.service


          Edit /etc/systemd/system/varnish.service directly as shown below:-



          [Unit]
          Description=Varnish Cache, a high-performance HTTP accelerator

          [Service]
          Type=forking
          LimitNOFILE=131072
          LimitMEMLOCK=82000
          ExecStartPre=/usr/sbin/varnishd -C -f /etc/varnish/prudsys.vcl
          ExecStart=/usr/sbin/varnishd -a :6081 -T localhost:6082 -f /etc/varnish/prudsys.vcl -S /etc/varnish/secret -s malloc,1G
          ExecReload=/usr/share/varnish/reload-vcl

          [Install]
          WantedBy=multi-user.target


          Restart the services:-



          systemctl daemon-reload
          systemctl restart varnish.service


          Remember to make changes in all three places:-




          1. /etc/default/varnish

          2. /lib/systemd/system/varnish.service

          3. /etc/systemd/system/varnish.service





          share|improve this answer

























          • the second place and third place are the same?

            – cusco
            Dec 6 '16 at 18:01






          • 1





            Any chance you could explain what exactly you’re changing and what the problem is?

            – Aeyoun
            Jun 16 '17 at 11:40











          • @Aeyoun - I just followed the blog given in my answer.

            – tuk
            Jun 16 '17 at 13:30











          • Blog link is broken though.

            – Ain
            Apr 3 at 13:10















          0














          This is an issue with Debian 8 and Varnish. I was able to get around the problem by following the below steps.



          Override the systemd init script of varnish



          # cp /lib/systemd/system/varnish.service /etc/systemd/system/
          # vim /etc/systemd/system/varnish.service


          Edit /etc/systemd/system/varnish.service directly as shown below:-



          [Unit]
          Description=Varnish Cache, a high-performance HTTP accelerator

          [Service]
          Type=forking
          LimitNOFILE=131072
          LimitMEMLOCK=82000
          ExecStartPre=/usr/sbin/varnishd -C -f /etc/varnish/prudsys.vcl
          ExecStart=/usr/sbin/varnishd -a :6081 -T localhost:6082 -f /etc/varnish/prudsys.vcl -S /etc/varnish/secret -s malloc,1G
          ExecReload=/usr/share/varnish/reload-vcl

          [Install]
          WantedBy=multi-user.target


          Restart the services:-



          systemctl daemon-reload
          systemctl restart varnish.service


          Remember to make changes in all three places:-




          1. /etc/default/varnish

          2. /lib/systemd/system/varnish.service

          3. /etc/systemd/system/varnish.service





          share|improve this answer

























          • the second place and third place are the same?

            – cusco
            Dec 6 '16 at 18:01






          • 1





            Any chance you could explain what exactly you’re changing and what the problem is?

            – Aeyoun
            Jun 16 '17 at 11:40











          • @Aeyoun - I just followed the blog given in my answer.

            – tuk
            Jun 16 '17 at 13:30











          • Blog link is broken though.

            – Ain
            Apr 3 at 13:10













          0












          0








          0







          This is an issue with Debian 8 and Varnish. I was able to get around the problem by following the below steps.



          Override the systemd init script of varnish



          # cp /lib/systemd/system/varnish.service /etc/systemd/system/
          # vim /etc/systemd/system/varnish.service


          Edit /etc/systemd/system/varnish.service directly as shown below:-



          [Unit]
          Description=Varnish Cache, a high-performance HTTP accelerator

          [Service]
          Type=forking
          LimitNOFILE=131072
          LimitMEMLOCK=82000
          ExecStartPre=/usr/sbin/varnishd -C -f /etc/varnish/prudsys.vcl
          ExecStart=/usr/sbin/varnishd -a :6081 -T localhost:6082 -f /etc/varnish/prudsys.vcl -S /etc/varnish/secret -s malloc,1G
          ExecReload=/usr/share/varnish/reload-vcl

          [Install]
          WantedBy=multi-user.target


          Restart the services:-



          systemctl daemon-reload
          systemctl restart varnish.service


          Remember to make changes in all three places:-




          1. /etc/default/varnish

          2. /lib/systemd/system/varnish.service

          3. /etc/systemd/system/varnish.service





          share|improve this answer















          This is an issue with Debian 8 and Varnish. I was able to get around the problem by following the below steps.



          Override the systemd init script of varnish



          # cp /lib/systemd/system/varnish.service /etc/systemd/system/
          # vim /etc/systemd/system/varnish.service


          Edit /etc/systemd/system/varnish.service directly as shown below:-



          [Unit]
          Description=Varnish Cache, a high-performance HTTP accelerator

          [Service]
          Type=forking
          LimitNOFILE=131072
          LimitMEMLOCK=82000
          ExecStartPre=/usr/sbin/varnishd -C -f /etc/varnish/prudsys.vcl
          ExecStart=/usr/sbin/varnishd -a :6081 -T localhost:6082 -f /etc/varnish/prudsys.vcl -S /etc/varnish/secret -s malloc,1G
          ExecReload=/usr/share/varnish/reload-vcl

          [Install]
          WantedBy=multi-user.target


          Restart the services:-



          systemctl daemon-reload
          systemctl restart varnish.service


          Remember to make changes in all three places:-




          1. /etc/default/varnish

          2. /lib/systemd/system/varnish.service

          3. /etc/systemd/system/varnish.service






          share|improve this answer














          share|improve this answer



          share|improve this answer








          edited Apr 3 at 14:27

























          answered Dec 31 '15 at 6:02









          tuktuk

          16618




          16618












          • the second place and third place are the same?

            – cusco
            Dec 6 '16 at 18:01






          • 1





            Any chance you could explain what exactly you’re changing and what the problem is?

            – Aeyoun
            Jun 16 '17 at 11:40











          • @Aeyoun - I just followed the blog given in my answer.

            – tuk
            Jun 16 '17 at 13:30











          • Blog link is broken though.

            – Ain
            Apr 3 at 13:10

















          • the second place and third place are the same?

            – cusco
            Dec 6 '16 at 18:01






          • 1





            Any chance you could explain what exactly you’re changing and what the problem is?

            – Aeyoun
            Jun 16 '17 at 11:40











          • @Aeyoun - I just followed the blog given in my answer.

            – tuk
            Jun 16 '17 at 13:30











          • Blog link is broken though.

            – Ain
            Apr 3 at 13:10
















          the second place and third place are the same?

          – cusco
          Dec 6 '16 at 18:01





          the second place and third place are the same?

          – cusco
          Dec 6 '16 at 18:01




          1




          1





          Any chance you could explain what exactly you’re changing and what the problem is?

          – Aeyoun
          Jun 16 '17 at 11:40





          Any chance you could explain what exactly you’re changing and what the problem is?

          – Aeyoun
          Jun 16 '17 at 11:40













          @Aeyoun - I just followed the blog given in my answer.

          – tuk
          Jun 16 '17 at 13:30





          @Aeyoun - I just followed the blog given in my answer.

          – tuk
          Jun 16 '17 at 13:30













          Blog link is broken though.

          – Ain
          Apr 3 at 13:10





          Blog link is broken though.

          – Ain
          Apr 3 at 13:10

















          draft saved

          draft discarded
















































          Thanks for contributing an answer to Server Fault!


          • Please be sure to answer the question. Provide details and share your research!

          But avoid


          • Asking for help, clarification, or responding to other answers.

          • Making statements based on opinion; back them up with references or personal experience.

          To learn more, see our tips on writing great answers.




          draft saved


          draft discarded














          StackExchange.ready(
          function ()
          StackExchange.openid.initPostLogin('.new-post-login', 'https%3a%2f%2fserverfault.com%2fquestions%2f745925%2fvarnish-503-backend-fetch-failed-when-varnish-4-1-is-started-as-service-on-debia%23new-answer', 'question_page');

          );

          Post as a guest















          Required, but never shown





















































          Required, but never shown














          Required, but never shown












          Required, but never shown







          Required, but never shown

































          Required, but never shown














          Required, but never shown












          Required, but never shown







          Required, but never shown







          Popular posts from this blog

          How to write a 12-bar blues melodyI-IV-V blues progressionHow to play the bridges in a standard blues progressionHow does Gdim7 fit in C# minor?question on a certain chord progressionMusicology of Melody12 bar blues, spread rhythm: alternative to 6th chord to avoid finger stretchChord progressions/ Root key/ MelodiesHow to put chords (POP-EDM) under a given lead vocal melody (starting from a good knowledge in music theory)Are there “rules” for improvising with the minor pentatonic scale over 12-bar shuffle?Confusion about blues scale and chords

          What if the end-user didn't have the required library?What is setup.py?What is a clean, pythonic way to have multiple constructors in Python?What does Ruby have that Python doesn't, and vice versa?What is the reason for having '//' in Python?How do I create a namespace package in Python?How to package shared objects that python modules depend on?setuptools vs. distutils: why is distutils still a thing?Navigation in Windows 10 vs code not going to virtualenv library when the same library is installed at user levelPython create package for local usePackaging a project that uses multiple python versionsWhy is permission denied on pip install except for when “--user” is included at end of command?

          Why did Thanos need his ship to help him in the battle scene?Which actor plays Thanos in the Avengers mid-credits scene?Are there economic implications portrayed in comics where the buildings and cities are ruined almost daily?Old X-Men comic where team travels to alien world with a ring-like sun that needs recharging?Why does Ego need help sleeping?Is there an objective answer to who “the strongest Avenger” is?How did Banner get unstuck?Why did Thanos get hit?How did Thanos (or anyone) know the Infinity Stones would give him this power?Did Thanos leave Eitri alive for his after-sales service?In Avengers 1, why does Thanos need Loki?